// SPDX-License-Identifier: BSD-3-Clause
package org.islandoftex.arara.core.localization

import org.islandoftex.arara.api.localization.MPPLocale
import org.islandoftex.arara.api.localization.Messages

@Suppress("MaxLineLength")
class NorfolkLanguage : Messages(
    providedLocale = MPPLocale("en-QN"),
    translators = listOf("Nicola Talbot", "Keith Skipper"),
    ERROR_BASENAME_NOT_A_FILE = "Yew're gotta hev a file for the 'basename', not a directory. That '%s' yew give me ent a file. Do yew need ter do jarbs on a directory, yew myte try the Java API.",
    ERROR_CALCULATEHASH_IO_EXCEPTION = "Thass a rum ole dew, bor, I can't work out th' hash. I ent got no idea why thass gorn wrong. Praps the file was hulled abowt afore or time the hashing operation was doing else maybe I're gotta he'some proper permissions to snout abowt in the file.",
    ERROR_CHECKBOOLEAN_NOT_VALID_BOOLEAN = "That look like '%s' ent a proper boolean value but dunt yew git yerself inta a rite ole puckaterry. Do yew jist make sure to use proper boolean values (yes and no, true and false, 1 and 0, and on and off).",
    ERROR_CHECKREGEX_IO_EXCEPTION = "Cor blast me, but I feel a bit ona tewl. I can't read any ona file '%s', thass giving me an IO error. I're got no idear but praps the file was hulled abowt afore or time the reading operation was doing else maybe I're gotta he'some proper permissions to snout abowt the file.",
    ERROR_CONFIGURATION_GENERIC_ERROR = "Thass hully gone wrong, ole partner. I coont unnerstand the configuration file. Wuh, yew're gotta he'sum idear wot this is orl abowt ter git th' hang o'this bit else yew myte be in a rite ole puckaterry but I'll help yew git it done if I can, my bewty.",
    ERROR_CONFIGURATION_LOOPS_INVALID_RANGE = "Atwin me, yew an' the geartepust that 'loops' key value ent rite. Yew're gotta giv' a number thass bigger than nuffin.",
    ERROR_DISCOVERFILE_FILE_NOT_FOUND = "Dunt yew git yarself inta a rite ole puckaterry, but I can't find yar file '%s' %s. Yew're gotta find the file and do yew see that has a proper extension on the end onnit, tergether.",
    ERROR_EVALUATE_COMPILATION_FAILED = "Wuh, I ent got no idear wass gorn on but I coont git the hang o'that conditional. Yew're gotta he'sum idear wot this is orl abowt else yew mite be in a rite ole puckaterry but I'll help yew git it done if I can, ole partner.",
    ERROR_EVALUATE_NOT_BOOLEAN_VALUE = "That ent a yis or no answer for that conditional evaluation but dunt yew git in a puckaterry. Do yew jist git that conditional to giv a boolean value, my bewty.",
    ERROR_EXTRACTOR_IO_ERROR = "Wuh, I was trying to get a hold onnem directives when suffin went hully wrong, howsomever I hent got no idear why thass gone wrong. Praps the file was hulled abowt afore or time the hashing operation was doing else maybe I're gotta he'sum proper permissions to read the file.",
    ERROR_EXTRACTOR_INTERPOLATION_FAILURE = "That ole 'options' field what you got have got the MVEL parser into a roight ole puckaterry. Do you tricolate yar options so you ent got narthing on the huh in yar '@{…}' parts.",
    ERROR_FILETYPE_NOT_A_FILE = "Yew gotta hev a file for the 'filetype', not a directory. That '%s' yew giv me dunt look like a file to me. Do yew need to do jarbs on a directory, yew myte try the Java API",
    ERROR_FILETYPE_UNKNOWN_EXTENSION = "Cor blast me, ole partner, but I ent never heard of '%s' as a default extension. Yew're gotta giv me yer know about the match and that ole extension on the end onnit do you want a new file type. I ony know abowt the default extensions: %s",
    ERROR_GETAPPLICATIONPATH_ENCODING_EXCEPTION = "Dunt yew git yarself inta a rite ole puckaterry, my bewty, cos there's nuffin I can dew abowt it but I're gotta mobbing abowt th'encoding time I was trying to get the application path.",
    ERROR_INTERPRETER_ARGUMENT_IS_REQUIRED = "That seem like the rule say yew gotta have '%s', but I coont find it in the directive parameters. Dew yew add it as a parameter for yar directive and try agin.",
    ERROR_INTERPRETER_COMMAND_RUNTIME_ERROR = "That ent gorn right wi' one onnem commands you giv' me. Wuh, yew're gotta he'sum idear wot this is orl abowt ter git th' hang o'this bit else yew myte be in a rite ole puckaterry but I'll help yew git it done if I can, my bewty.",
    ERROR_INTERPRETER_COMMAND_UNSUCCESSFUL_EXIT = "That ole command \"%s\" dint go roight. Do you have a peek at the output do you want ter know wass doing.",
    ERROR_INTERPRETER_EXIT_RUNTIME_ERROR = "That ent gorn right wi' th' exit status of onnem commands you giv' me. Wuh, yew're gotta he'sum idear wot this is orl abowt ter git th' hang o'this bit else yew myte be in a rite ole puckaterry but I'll help yew git it done if I can, my bewty.",
    ERROR_INTERPRETER_FLAG_RUNTIME_EXCEPTION = "That ent gorn right wi' th' flag for onnem arguments you giv' me. Wuh, yew're gotta he'sum idear wot this is orl abowt ter git th' hang o'this bit else yew myte be in a rite ole puckaterry but I'll help yew git it done if I can, my bewty.",
    ERROR_INTERPRETER_RULE_NOT_FOUND = "Thass a rum ole dew but there ent no '%s' in any onnem rule paths. Praps you ent spelled that right. I coont find '%s.yaml' in any onner paths: %s",
    ERROR_INTERPRETER_UNKNOWN_KEYS = "Atwin me, yew an' the geartepost I ent got no idear abowt these keys in the directive: %s. Howsomever, dunt you git yarself inta a rite ole puckaterry. Do you jist hull them outta yar map.",
    ERROR_INTERPRETER_USER_REQUESTED_HALT = "arara will stop do you (or yar rule) ask it to.",
    ERROR_INTERPRETER_WRONG_EXIT_CLOSURE_RETURN = "Wuh, ole partner, that 'exit' expression ent givin' me a yis or no answer. Thass allus got to dew that even if there ent nuffin else to dew. Howsomever, dunt you git yarself inta a rite ole puckaterry, dew you jist tricolate the return statement and try agin.",
    ERROR_INTERPRETER_WRONG_RETURN_TYPE = "A rule shud ony retarn a boolean or a command. Narthing else ent supported",
    ERROR_LOAD_COULD_NOT_LOAD_XML = "Cor blast me, ole partner, but that YAML database '%s' ent half puttin' on its parts but I ent got no idear wass gone wrong. Praps the file was hulled abowt afore or time the reading operation was doing else maybe I're gotta he'sum proper permissions to snout abowt the file. Atwin yew, me an' the geartepost, do yew make sure the YAML is in good kelter.",
    ERROR_PARSER_INVALID_PREAMBLE = "Thass a rum ole dew, ole partner, but I can't find the preamble '%s'. Do yew make sure that key exist in the configuration file.",
    ERROR_PARSERULE_GENERIC_ERROR = "Thass a rum ole dew, that rule is hully puttin' on its parts. Wuh, yew're gotta he'sum idear wot this is orl abowt ter git th' hang o'this bit else yew myte be in a rite ole puckaterry but I'll help yew git it done if I can, tergether.",
    ERROR_REPLICATELIST_MISSING_FORMAT_ARGUMENTS_EXCEPTION = "Blast, bor, but I coont replicate that duzzy ole list cors you ent giv' me a format argument. I rackon there's a slight more or less parameters than yew giv' me. Dew yew go an' check it and try agin.",
    ERROR_RULE_IDENTIFIER_AND_PATH = "Wuh, that ent right, ole partner. That rule '%s' have gone on the slosh at '%s'.",
    ERROR_RUN_GENERIC_EXCEPTION = "Thass a rum ole dew, my bewty, but I coont dew the system command but I ent got no idear wass gone wrong. Wuh, yew're gotta he'sum idear wot this is orl abowt ter git th' hang o'this bit else yew myte be in a rite ole puckaterry but I'll help yew git it done if I can, tergether.",
    ERROR_RUN_INTERRUPTED_EXCEPTION = "Thass a rum ole dew, ole partner, suffin's hully thacked that system command aside the lug and thass croaked.",
    ERROR_RUN_INVALID_EXIT_VALUE_EXCEPTION = "That system command is hully puttin' on its parts. That ent a proper exit value.",
    ERROR_RUN_IO_EXCEPTION = "I rackon that system command have blundered over the troschel. Are yew sure that exist in yar path? Dew yew check the path, ole partner, to see where thass hidin'. Maybe thass gorn in the backus for some bread an' pullet.",
    ERROR_RUN_TIMEOUT_EXCEPTION = "That slummockun gret system command have run on for too long so I gev it a clout round the lug. If thass hully short for yew, dew yew giv' me a longer timeout value.",
    ERROR_SAVE_COULD_NOT_SAVE_XML = "Thass a rum ole dew, ole partner. I coont save that ole YAML database that oughta be called '%s'. Howsomever I hent got no idea why thass gone wrong. Praps I're gotta he'sum proper permissions to write the YAML file to disk.",
    ERROR_SESSION_OBTAIN_UNKNOWN_KEY = "Cor blast me, my bewty, but I hent got no idear wass that '%s' key is dewun in that 'get' method. I can't giv' you suffin I ent got. Dew yew ax for suffin I can git yew.",
    ERROR_SESSION_REMOVE_UNKNOWN_KEY = "Cor blast me, ole partner, but I hent got no idear wass that '%s' key is dewin in that 'remove' method. I can't remove suffin that ent there. Dew yew ax for suffin else.",
    ERROR_VALIDATE_EMPTY_FILES_LIST = "Cor blast me, my bewty. I read a directive %s but there ent nuffin in the provided 'files' list. Do yew just make sure there's at least one element in the list and try agin.",
    ERROR_VALIDATE_FILES_IS_NOT_A_LIST = "That ent rite, ole partner. I read a directive %s and found out that 'files' require a list. Do yew fix the type to a proper list and try agin.",
    ERROR_VALIDATE_INVALID_DIRECTIVE_FORMAT = "That directive %s in the provided file ent rite. But dunt git yarself into a puckaterry. Do yew just fix the directive and try agin.",
    ERROR_VALIDATE_NO_DIRECTIVES_FOUND = "That look like no directives were found in the provided file. Do yew include at least one directive and try agin.",
    ERROR_VALIDATE_ORPHAN_LINEBREAK = "Thass a rum ole dew, ole partner. There's an orphan directive line break in line %s. I can't do nuffin abowt that. Dew yew giv' that directive a bit o' tricolatin' and try agin.",
    ERROR_VALIDATE_REFERENCE_IS_RESERVED = "That ain't right, my bewty. You can't use the key 'reference' in %s. Thass a reserved key, but there ain't no use you gittin' in a rite ole puckaterry abowt it. Dew yew giv' it another name.",
    ERROR_VALIDATE_YAML_EXCEPTION = "Thass a rum ole dew, my bewty. Suffin's gone wrong in the YAML map in a directive %s. Wuh, yew're gotta he'sum idear wot this is orl abowt ter git th' hang o'this bit else yew myte be in a rite ole puckaterry.",
    ERROR_VALIDATEBODY_ARGUMENT_ID_IS_RESERVED = "That ent rite, ole partner. Yew can't use '%s'. Thass reserved, but dunt yew git yarself into a rite ole puckaterry, dew yew jist giv' it another name.",
    ERROR_VALIDATEBODY_DUPLICATE_ARGUMENT_IDENTIFIERS = "Thass a rum ole dew, ole partner. You've got duplicate argument identifiers in yar rule. Dew you fix that and try agin.",
    ERROR_VALIDATEBODY_MISSING_KEYS = "That ent rite, ole partner. You gotta use at least 'flag' or 'default' when you define a rule argument scope. Do yew make sure to use at least one onnem.",
    ERROR_VALIDATEBODY_NULL_ARGUMENT_ID = "That ent rite, my bewty. You gotta hev an identifier but one onnem arguments ent for one. Dew yew add a valid identifier to the argument and try agin.",
    ERROR_VALIDATEBODY_NULL_COMMAND = "Thass a rum dew, ole partner. Thass a null command in that ole rule. Do you add a proper command there.",
    ERROR_VALIDATEHEADER_NULL_NAME = "Cor blast me, bor, but that rule ent got no name, but dunt yew git yarself in a puckaterry, dew you jist giv' it a proper name and try agin.",
    ERROR_VALIDATEHEADER_WRONG_IDENTIFIER = "My heart alive, my bewty, but that rule ent got the right identifier. That oughta be '%s', not '%s', but dunt yew git yarself in a puckaterry. Dew you jist fix that.",
    INFO_DISPLAY_EXCEPTION_MORE_DETAILS = "Hear's orl my know on that aggraweartin' exception:",
    INFO_DISPLAY_EXECUTION_TIME = "Wuh that took %s seconds but if thass a slight longer than you expected, dunt yew go mobbing me abowt it cors that ent my fault. My grandf'ar dint have none of these pearks. He had to use a pen and a bit o' pearper, but thass bin nice mardling wi' yew. Dew yew keep a troshin'!",
    INFO_DISPLAY_FILE_INFORMATION = "Hold yew hard, ole partner, I'm gornta hev a look at '%s' (thass %s big, that is, and that was last chearnged on %s in case yew dunt remember).",
    INFO_INTERPRETER_DRYRUN_MODE_BOOLEAN_MODE = "Although executing in dry-run mode, this entry might be already processed since it returned a boolean value: %s",
    INFO_INTERPRETER_DRYRUN_MODE_SYSTEM_COMMAND = "This is what I'm abowt to dew: %s",
    INFO_LABEL_AUTHOR = "Thass the one wot wrote this masterous jarb:",
    INFO_LABEL_AUTHORS = "Here's the ones wot wrote this masterous jarb:",
    INFO_LABEL_CONDITIONAL = "Conditional (thass a yis or no thing):",
    INFO_LABEL_NO_AUTHORS = "Wuh thass a rum ole dew. There ent no names here. Yew're gotta guess who wrote this masterous jarb",
    INFO_LABEL_ON_DETAILS = "DETAILS",
    INFO_LABEL_ON_ERROR = "SUFFIN'S GORN WRONG",
    INFO_LABEL_ON_FAILURE = "THAT ENT GORN RIGHT, OLE PARTNER",
    INFO_LABEL_ON_SUCCESS = "THASS A MASTERLY JOB, MY BEWTY",
    INFO_LABEL_UNNAMED_TASK = "That task ent got no name",
    INFO_PARSER_NOTES = "arara is released under the New BSD license.",
    LOG_INFO_BEGIN_BUFFER = "BEGIN OUTPUT BUFFER",
    LOG_INFO_BOOLEAN_MODE = "Boolean value: %s",
    LOG_INFO_DIRECTIVES_BLOCK = "DIRECTIVES",
    LOG_INFO_END_BUFFER = "END OUTPUT BUFFER",
    LOG_INFO_INTERPRET_RULE = "I'm orl ready, ole parter, to dew the rule '%s'.",
    LOG_INFO_INTERPRET_TASK = "I'm orl ready, my bewty, to dew '%s' from that ole rule '%s'.",
    LOG_INFO_POTENTIAL_PATTERN_FOUND = "I're found what might be a pattern in line %s: %s",
    LOG_INFO_RULE_LOCATION = "That ole rule come from: '%s'",
    LOG_INFO_SYSTEM_COMMAND = "System command: %s",
    LOG_INFO_TASK_RESULT = "Here's what that jarb say:",
    LOG_INFO_VALIDATED_DIRECTIVES = "Thass a masterous jarb, orl the directives are in good kelter. We can git troshin'.",
    LOG_INFO_WELCOME_MESSAGE = "Hello, my bewty. Welcome to arara %s! (Thass one onnem hully big birds they git in Brazil.)"
)
